<div>
    The points A, B and C are given, as well as their respective RGB values I<sub>A</sub>, I<sub>B</sub>, I<sub>C</sub>. The points X and Y are also given:<br>
    <span id="${{{qid}}}_A">A (<span></span>), I<sub>A</sub> (<span></span>)</span><br>
    <span id="${{{qid}}}_B">B (<span></span>), I<sub>B</sub> (<span></span>)</span><br>
    <span id="${{{qid}}}_C">C (<span></span>), I<sub>C</sub> (<span></span>)</span><br>
    X (<span id="${{{qid}}}_X"></span>)<br>
    Y (<span id="${{{qid}}}_Y"></span>)<br>
    Find the RGB values of the other points using baryentric coordinates.<br>
    The top left rectangle represents the coordinate (0, 0). Coordinates increase along the x-axis to the right and along the y-axis downwards.<br>
    <b>ATTENTION</b> The calculated values must be integers, so in the case of decimal numbers, round to the nearest whole number.<br>
</div>
<div>
    <canvas id="${{{qid}}}_canvas"></canvas>
</div>
<div>
    Solution:<br>
    <form id="${{{qid}}}_ans_X">
        X&nbsp;
        <b>R:</b><input type="text" oninput="this.value = this.value.replace(/[^0-9]/g, '')" maxlength="3" size="1" value="0"/>
        <b>G:</b><input type="text" oninput="this.value = this.value.replace(/[^0-9]/g, '')" maxlength="3" size="1" value="0"/>
        <b>B:</b><input type="text" oninput="this.value = this.value.replace(/[^0-9]/g, '')" maxlength="3" size="1" value="0"/>
    </form><br>
    <form id="${{{qid}}}_ans_Y">
        Y&nbsp;
        <b>R:</b><input type="text" oninput="this.value = this.value.replace(/[^0-9]/g, '')" maxlength="3" size="1" value="0"/>
        <b>G:</b><input type="text" oninput="this.value = this.value.replace(/[^0-9]/g, '')" maxlength="3" size="1" value="0"/>
        <b>B:</b><input type="text" oninput="this.value = this.value.replace(/[^0-9]/g, '')" maxlength="3" size="1" value="0"/><br><br>
    </form>
</div>
